--- usr/bin/setconsolefont.orig	2009-05-06 08:39:44.033696000 +0100
+++ usr/bin/setconsolefont	2009-05-06 08:55:08.743021001 +0100
@@ -1,19 +1,29 @@
 #!/bin/sh
+
+# 06-May-2009
+# Updated by Stuart Winter <mozes@slackware.com>
+# Run 'setfont' in a chroot.  This makes setfont work
+# correctly in the installer.
+
 if [ "$TMP" = "" ]; then
   TMP=/var/log/setup/tmp
 fi
 
 load_font() {
-  setfont $*
+  if [ ! -z "$T_PX" ]; then
+    CHROOT="chroot $T_PX"
+  fi
+
+  $CHROOT setfont $*
   if [ ! $? = 0 ]; then
     if [ -r $T_PX/usr/share/kbd/consolefonts/$1 ]; then
-      setfont $T_PX/usr/share/kbd/consolefonts/$* 1> /dev/null 2> /dev/null
+      $CHROOT setfont $T_PX/usr/share/kbd/consolefonts/$* 1> /dev/null 2> /dev/null
     elif [ -r $T_PX/usr/lib/kbd/consolefonts/$1 ]; then
-      setfont $T_PX/usr/lib/kbd/consolefonts/$* 1> /dev/null 2> /dev/null
+      $CHROOT setfont $T_PX/usr/lib/kbd/consolefonts/$* 1> /dev/null 2> /dev/null
     elif [ -r /var/adm/mount/live/usr/lib/kbd/consolefonts/$1 ]; then
-      setfont /var/adm/mount/live/usr/lib/kbd/consolefonts/$* 1> /dev/null 2> /dev/null
+      $CHROOT setfont /var/adm/mount/live/usr/lib/kbd/consolefonts/$* 1> /dev/null 2> /dev/null
     else # load default font
-      setfont
+      $CHROOT setfont
     fi
   fi
 }
